# Interface Cheerio

interface Cheerio {
cheerio : string;
length : number;
"[iterator]" (): IterableIterator < Element >;
add (selectorOrHtml: string): Cheerio ;
add (selector: string, context: Document): Cheerio ;
add (element: Element ): Cheerio ;
add (elements: Element []): Cheerio ;
add (selection: Cheerio ): Cheerio ;
addBack (): Cheerio ;
addBack (filter: string): Cheerio ;
addClass (classNames: string): Cheerio ;
after (content: string, ...contents: any[]): Cheerio ;
after (content: Document, ...contents: any[]): Cheerio ;
after (content: Document[], ...contents: any[]): Cheerio ;
after (content: Cheerio , ...contents: any[]): Cheerio ;
append (content: string, ...contents: any[]): Cheerio ;
append (content: Document, ...contents: any[]): Cheerio ;
append (content: Document[], ...contents: any[]): Cheerio ;
append (content: Cheerio , ...contents: any[]): Cheerio ;
appendTo (target: Cheerio ): Cheerio ;
attr (): { [attr: string]: string };
attr (name: string): undefined | string;
attr (name: string, value: AttrFunction ): Cheerio ;
attr (name: string, value: string): Cheerio ;
attr (map: { [key: string]: any }): Cheerio ;
before (content: string, ...contents: any[]): Cheerio ;
before (content: Document, ...contents: any[]): Cheerio ;
before (content: Document[], ...contents: any[]): Cheerio ;
before (content: Cheerio , ...contents: any[]): Cheerio ;
children (selector?: string): Cheerio ;
clone (): Cheerio ;
closest (): Cheerio ;
closest (selector: string): Cheerio ;
contents (): Cheerio ;
css (propertyName?: string): string;
css (propertyNames: string[]): string[];
css (propertyName: string, value: string): Cheerio ;
css (propertyName: string, value: number): Cheerio ;
css (
propertyName: string,
func: (index: number, value: string) => string,
): Cheerio ;
css (
propertyName: string,
func: (index: number, value: string) => number,
): Cheerio ;
css (properties: Object ): Cheerio ;
data (): any;
data (name: string): any;
data (name: string, value: any): any;
each (func: (index: number, element: Element ) => any): Cheerio ;
empty (): Cheerio ;
end (): Cheerio ;
eq (index: number): Cheerio ;
filter (selector: string): Cheerio ;
filter (selection: Cheerio ): Cheerio ;
filter (element: Element ): Cheerio ;
filter (elements: Element []): Cheerio ;
filter (func: (index: number, element: Element ) => boolean): Cheerio ;
find (selector: string): Cheerio ;
find (element: Cheerio ): Cheerio ;
first (): Cheerio ;
get (): any[];
get (index: number): any;
has (selector: string): Cheerio ;
has (element: Element ): Cheerio ;
hasClass (className: string): boolean;
html (): null | string;
html (html: string): Cheerio ;
index (): number;
index (selector: string): number;
index (selection: Cheerio ): number;
insertAfter (content: string): Cheerio ;
insertAfter (content: Document): Cheerio ;
insertAfter (content: Cheerio ): Cheerio ;
insertBefore (content: string): Cheerio ;
insertBefore (content: Document): Cheerio ;
insertBefore (content: Cheerio ): Cheerio ;
is (selector: string): boolean;
is (element: Element ): boolean;
is (element: Element []): boolean;
is (selection: Cheerio ): boolean;
is (func: (index: number, element: Element ) => boolean): boolean;
last (): Cheerio ;
map (func: (index: number, element: Element ) => any): Cheerio ;
next (selector?: string): Cheerio ;
nextAll (): Cheerio ;
nextAll (selector: string): Cheerio ;
nextUntil (selector?: string, filter?: string): Cheerio ;
nextUntil (element: Element , filter?: string): Cheerio ;
nextUntil (element: Cheerio , filter?: string): Cheerio ;
not (selector: string): Cheerio ;
not (selection: Cheerio ): Cheerio ;
not (element: Element ): Cheerio ;
not (func: (index: number, element: Element ) => boolean): Cheerio ;
parent (selector?: string): Cheerio ;
parents (selector?: string): Cheerio ;
parentsUntil (selector?: string, filter?: string): Cheerio ;
parentsUntil (element: Element , filter?: string): Cheerio ;
parentsUntil (element: Cheerio , filter?: string): Cheerio ;
prepend (content: string, ...contents: any[]): Cheerio ;
prepend (content: Document, ...contents: any[]): Cheerio ;
prepend (content: Document[], ...contents: any[]): Cheerio ;
prepend (content: Cheerio , ...contents: any[]): Cheerio ;
prependTo (target: Cheerio ): Cheerio ;
prev (selector?: string): Cheerio ;
prevAll (): Cheerio ;
prevAll (selector: string): Cheerio ;
prevUntil (selector?: string, filter?: string): Cheerio ;
prevUntil (element: Element , filter?: string): Cheerio ;
prevUntil (element: Cheerio , filter?: string): Cheerio ;
prop (name: string): any;
prop (name: string, value: any): Cheerio ;
remove (selector?: string): Cheerio ;
removeAttr (name: string): Cheerio ;
removeClass (): Cheerio ;
removeClass (className: string): Cheerio ;
removeClass (func: (index: number, className: string) => string): Cheerio ;
replaceWith (content: string): Cheerio ;
replaceWith (content: Element ): Cheerio ;
replaceWith (content: Element []): Cheerio ;
replaceWith (content: Cheerio ): Cheerio ;
replaceWith (content: () => Cheerio ): Cheerio ;
serialize (): string;
serializeArray (): { name: string; value: string }[];
siblings (selector?: string): Cheerio ;
slice (start: number, end?: number): Cheerio ;
text (): string;
text (text: string): Cheerio ;
toArray (): Element [];
toggleClass (className: string): Cheerio ;
toggleClass (className: string, toggleSwitch: boolean): Cheerio ;
toggleClass (toggleSwitch?: boolean): Cheerio ;
toggleClass (
func: (
index: number,
className: string,
toggleSwitch: boolean,
) => string,
toggleSwitch?: boolean,
): Cheerio ;
val (): string;
val (value: string): Cheerio ;
wrap (content: string): Cheerio ;
wrap (content: Document): Cheerio ;
wrap (content: Cheerio ): Cheerio ;
[index: number]: Element ;
}

#### Indexable

- [index: number]: Element

- Defined in node_modules/@types/cheerio/index.d.ts:53

##### Index

### Properties

cheerio
length

### Methods

[iterator]
add
addBack
addClass
after
append
appendTo
attr
before
children
clone
closest
contents
css
data
each
empty
end
eq
filter
find
first
get
has
hasClass
html
index
insertAfter
insertBefore
is
last
map
next
nextAll
nextUntil
not
parent
parents
parentsUntil
prepend
prependTo
prev
prevAll
prevUntil
prop
remove
removeAttr
removeClass
replaceWith
serialize
serializeArray
siblings
slice
text
toArray
toggleClass
val
wrap

## Properties

### cheerio

cheerio: string

- Defined in node_modules/@types/cheerio/index.d.ts:60

### length

length: number

- Defined in node_modules/@types/cheerio/index.d.ts:61

## Methods

### [iterator]

- "[iterator]"(): IterableIterator < Element >

  #### Returns IterableIterator < Element >

  - Defined in node_modules/@types/cheerio/index.d.ts:58

### add

- add(selectorOrHtml: string): Cheerio

  #### Parameters

  - selectorOrHtml: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:182
- add(selector: string, context: Document): Cheerio

  #### Parameters

  - selector: string
  - context: Document

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:183
- add(element: Element ): Cheerio

  #### Parameters

  - element: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:184
- add(elements: Element []): Cheerio

  #### Parameters

  - elements: Element []

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:185
- add(selection: Cheerio ): Cheerio

  #### Parameters

  - selection: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:186

### addBack

- addBack(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:188
- addBack(filter: string): Cheerio

  #### Parameters

  - filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:189

### addClass

- addClass(classNames: string): Cheerio

  #### Parameters

  - classNames: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:89

### after

- after(content: string, ...contents: any[]): Cheerio

  #### Parameters

  - content: string
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:205
- after(content: Document, ...contents: any[]): Cheerio

  #### Parameters

  - content: Document
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:206
- after(content: Document[], ...contents: any[]): Cheerio

  #### Parameters

  - content: Document[]
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:207
- after(content: Cheerio , ...contents: any[]): Cheerio

  #### Parameters

  - content: Cheerio
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:208

### append

- append(content: string, ...contents: any[]): Cheerio

  #### Parameters

  - content: string
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:195
- append(content: Document, ...contents: any[]): Cheerio

  #### Parameters

  - content: Document
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:196
- append(content: Document[], ...contents: any[]): Cheerio

  #### Parameters

  - content: Document[]
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:197
- append(content: Cheerio , ...contents: any[]): Cheerio

  #### Parameters

  - content: Cheerio
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:198

### appendTo

- appendTo(target: Cheerio ): Cheerio

  #### Parameters

  - target: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:192

### attr

- attr(): { [attr: string]: string }

  #### Returns { [attr: string]: string }

  - Defined in node_modules/@types/cheerio/index.d.ts:65
- attr(name: string): undefined | string

  #### Parameters

  - name: string

  #### Returns undefined | string

  - Defined in node_modules/@types/cheerio/index.d.ts:66
- attr(name: string, value: AttrFunction ): Cheerio

  #### Parameters

  - name: string
  - value: AttrFunction

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:67
- attr(name: string, value: string): Cheerio

  #### Parameters

  - name: string
  - value: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:71
- attr(map: { [key: string]: any }): Cheerio

  #### Parameters

  - map: { [key: string]: any }

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:74

### before

- before(content: string, ...contents: any[]): Cheerio

  #### Parameters

  - content: string
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:214
- before(content: Document, ...contents: any[]): Cheerio

  #### Parameters

  - content: Document
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:215
- before(content: Document[], ...contents: any[]): Cheerio

  #### Parameters

  - content: Document[]
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:216
- before(content: Cheerio , ...contents: any[]): Cheerio

  #### Parameters

  - content: Cheerio
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:217

### children

- children(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:150

### clone

- clone(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:255

### closest

- closest(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:127
- closest(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:128

### contents

- contents(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:152

### css

- css(propertyName?: string): string

  #### Parameters

  - `Optional` propertyName: string

  #### Returns string

  - Defined in node_modules/@types/cheerio/index.d.ts:243
- css(propertyNames: string[]): string[]

  #### Parameters

  - propertyNames: string[]

  #### Returns string[]

  - Defined in node_modules/@types/cheerio/index.d.ts:244
- css(propertyName: string, value: string): Cheerio

  #### Parameters

  - propertyName: string
  - value: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:245
- css(propertyName: string, value: number): Cheerio

  #### Parameters

  - propertyName: string
  - value: number

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:246
- css(
  propertyName: string,
  func: (index: number, value: string) => string,
  ): Cheerio

  #### Parameters

  - propertyName: string
  - func: (index: number, value: string) => string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:247
- css(
  propertyName: string,
  func: (index: number, value: string) => number,
  ): Cheerio

  #### Parameters

  - propertyName: string
  - func: (index: number, value: string) => number

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:248
- css(properties: Object ): Cheerio

  #### Parameters

  - properties: Object

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:249

### data

- data(): any

  #### Returns any

  - Defined in node_modules/@types/cheerio/index.d.ts:76
- data(name: string): any

  #### Parameters

  - name: string

  #### Returns any

  - Defined in node_modules/@types/cheerio/index.d.ts:77
- data(name: string, value: any): any

  #### Parameters

  - name: string
  - value: any

  #### Returns any

  - Defined in node_modules/@types/cheerio/index.d.ts:78

### each

- each(func: (index: number, element: Element ) => any): Cheerio

  #### Parameters

  - func: (index: number, element: Element ) => any

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:154

### empty

- empty(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:231

### end

- end(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:180

### eq

- eq(index: number): Cheerio

  #### Parameters

  - index: number

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:171

### filter

- filter(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:157
- filter(selection: Cheerio ): Cheerio

  #### Parameters

  - selection: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:158
- filter(element: Element ): Cheerio

  #### Parameters

  - element: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:159
- filter(elements: Element []): Cheerio

  #### Parameters

  - elements: Element []

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:160
- filter(func: (index: number, element: Element ) => boolean): Cheerio

  #### Parameters

  - func: (index: number, element: Element ) => boolean

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:161

### find

- find(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:115
- find(element: Cheerio ): Cheerio

  #### Parameters

  - element: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:116

### first

- first(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:168

### get

- get(): any[]

  #### Returns any[]

  - Defined in node_modules/@types/cheerio/index.d.ts:173
- get(index: number): any

  #### Parameters

  - index: number

  #### Returns any

  - Defined in node_modules/@types/cheerio/index.d.ts:174

### has

- has(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:85
- has(element: Element ): Cheerio

  #### Parameters

  - element: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:86

### hasClass

- hasClass(className: string): boolean

  #### Parameters

  - className: string

  #### Returns boolean

  - Defined in node_modules/@types/cheerio/index.d.ts:88

### html

- html(): null | string

  #### Returns null | string

  - Defined in node_modules/@types/cheerio/index.d.ts:233
- html(html: string): Cheerio

  #### Parameters

  - html: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:234

### index

- index(): number

  #### Returns number

  - Defined in node_modules/@types/cheerio/index.d.ts:176
- index(selector: string): number

  #### Parameters

  - selector: string

  #### Returns number

  - Defined in node_modules/@types/cheerio/index.d.ts:177
- index(selection: Cheerio ): number

  #### Parameters

  - selection: Cheerio

  #### Returns number

  - Defined in node_modules/@types/cheerio/index.d.ts:178

### insertAfter

- insertAfter(content: string): Cheerio

  #### Parameters

  - content: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:210
- insertAfter(content: Document): Cheerio

  #### Parameters

  - content: Document

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:211
- insertAfter(content: Cheerio ): Cheerio

  #### Parameters

  - content: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:212

### insertBefore

- insertBefore(content: string): Cheerio

  #### Parameters

  - content: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:219
- insertBefore(content: Document): Cheerio

  #### Parameters

  - content: Document

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:220
- insertBefore(content: Cheerio ): Cheerio

  #### Parameters

  - content: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:221

### is

- is(selector: string): boolean

  #### Parameters

  - selector: string

  #### Returns boolean

  - Defined in node_modules/@types/cheerio/index.d.ts:103
- is(element: Element ): boolean

  #### Parameters

  - element: Element

  #### Returns boolean

  - Defined in node_modules/@types/cheerio/index.d.ts:104
- is(element: Element []): boolean

  #### Parameters

  - element: Element []

  #### Returns boolean

  - Defined in node_modules/@types/cheerio/index.d.ts:105
- is(selection: Cheerio ): boolean

  #### Parameters

  - selection: Cheerio

  #### Returns boolean

  - Defined in node_modules/@types/cheerio/index.d.ts:106
- is(func: (index: number, element: Element ) => boolean): boolean

  #### Parameters

  - func: (index: number, element: Element ) => boolean

  #### Returns boolean

  - Defined in node_modules/@types/cheerio/index.d.ts:107

### last

- last(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:169

### map

- map(func: (index: number, element: Element ) => any): Cheerio

  #### Parameters

  - func: (index: number, element: Element ) => any

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:155

### next

- next(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:130

### nextAll

- nextAll(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:131
- nextAll(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:132

### nextUntil

- nextUntil(selector?: string, filter?: string): Cheerio

  #### Parameters

  - `Optional` selector: string
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:134
- nextUntil(element: Element , filter?: string): Cheerio

  #### Parameters

  - element: Element
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:135
- nextUntil(element: Cheerio , filter?: string): Cheerio

  #### Parameters

  - element: Cheerio
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:136

### not

- not(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:163
- not(selection: Cheerio ): Cheerio

  #### Parameters

  - selection: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:164
- not(element: Element ): Cheerio

  #### Parameters

  - element: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:165
- not(func: (index: number, element: Element ) => boolean): Cheerio

  #### Parameters

  - func: (index: number, element: Element ) => boolean

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:166

### parent

- parent(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:118

### parents

- parents(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:119

### parentsUntil

- parentsUntil(selector?: string, filter?: string): Cheerio

  #### Parameters

  - `Optional` selector: string
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:120
- parentsUntil(element: Element , filter?: string): Cheerio

  #### Parameters

  - element: Element
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:121
- parentsUntil(element: Cheerio , filter?: string): Cheerio

  #### Parameters

  - element: Cheerio
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:122

### prepend

- prepend(content: string, ...contents: any[]): Cheerio

  #### Parameters

  - content: string
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:200
- prepend(content: Document, ...contents: any[]): Cheerio

  #### Parameters

  - content: Document
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:201
- prepend(content: Document[], ...contents: any[]): Cheerio

  #### Parameters

  - content: Document[]
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:202
- prepend(content: Cheerio , ...contents: any[]): Cheerio

  #### Parameters

  - content: Cheerio
  - ...contents: any[]

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:203

### prependTo

- prependTo(target: Cheerio ): Cheerio

  #### Parameters

  - target: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:193

### prev

- prev(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:138

### prevAll

- prevAll(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:139
- prevAll(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:140

### prevUntil

- prevUntil(selector?: string, filter?: string): Cheerio

  #### Parameters

  - `Optional` selector: string
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:142
- prevUntil(element: Element , filter?: string): Cheerio

  #### Parameters

  - element: Element
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:143
- prevUntil(element: Cheerio , filter?: string): Cheerio

  #### Parameters

  - element: Cheerio
  - `Optional` filter: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:144

### prop

- prop(name: string): any

  #### Parameters

  - name: string

  #### Returns any

  - Defined in node_modules/@types/cheerio/index.d.ts:124
- prop(name: string, value: any): Cheerio

  #### Parameters

  - name: string
  - value: any

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:125

### remove

- remove(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:223

### removeAttr

- removeAttr(name: string): Cheerio

  #### Parameters

  - name: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:83

### removeClass

- removeClass(): Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:91
- removeClass(className: string): Cheerio

  #### Parameters

  - className: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:92
- removeClass(func: (index: number, className: string) => string): Cheerio

  #### Parameters

  - func: (index: number, className: string) => string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:93

### replaceWith

- replaceWith(content: string): Cheerio

  #### Parameters

  - content: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:225
- replaceWith(content: Element ): Cheerio

  #### Parameters

  - content: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:226
- replaceWith(content: Element []): Cheerio

  #### Parameters

  - content: Element []

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:227
- replaceWith(content: Cheerio ): Cheerio

  #### Parameters

  - content: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:228
- replaceWith(content: () => Cheerio ): Cheerio

  #### Parameters

  - content: () => Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:229

### serialize

- serialize(): string

  #### Returns string

  - Defined in node_modules/@types/cheerio/index.d.ts:110

### serializeArray

- serializeArray(): { name: string; value: string }[]

  #### Returns { name: string; value: string }[]

  - Defined in node_modules/@types/cheerio/index.d.ts:111

### siblings

- siblings(selector?: string): Cheerio

  #### Parameters

  - `Optional` selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:148

### slice

- slice(start: number, end?: number): Cheerio

  #### Parameters

  - start: number
  - `Optional` end: number

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:146

### text

- text(): string

  #### Returns string

  - Defined in node_modules/@types/cheerio/index.d.ts:236
- text(text: string): Cheerio

  #### Parameters

  - text: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:237

### toArray

- toArray(): Element []

  #### Returns Element []

  - Defined in node_modules/@types/cheerio/index.d.ts:259

### toggleClass

- toggleClass(className: string): Cheerio

  #### Parameters

  - className: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:95
- toggleClass(className: string, toggleSwitch: boolean): Cheerio

  #### Parameters

  - className: string
  - toggleSwitch: boolean

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:96
- toggleClass(toggleSwitch?: boolean): Cheerio

  #### Parameters

  - `Optional` toggleSwitch: boolean

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:97
- toggleClass(
  func: (
  index: number,
  className: string,
  toggleSwitch: boolean,
  ) => string,
  toggleSwitch?: boolean,
  ): Cheerio

  #### Parameters

  - func: (index: number, className: string, toggleSwitch: boolean) => string
  - `Optional` toggleSwitch: boolean

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:98

### val

- val(): string

  #### Returns string

  - Defined in node_modules/@types/cheerio/index.d.ts:80
- val(value: string): Cheerio

  #### Parameters

  - value: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:81

### wrap

- wrap(content: string): Cheerio

  #### Parameters

  - content: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:239
- wrap(content: Document): Cheerio

  #### Parameters

  - content: Document

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:240
- wrap(content: Cheerio ): Cheerio

  #### Parameters

  - content: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:241